<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.0.9
  @date  20/05/10, 12:19
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8
*/
Class manufacturers {

  var $leflux;


  function manufacturers(){
    $this->title=manufacturers_TITLE_FEEDS;
    $this->description=manufacturers_DESC_FEEDS;
    $this->link=tep_href_link(FILENAME_DEFAULT);
    $this->leflux=array();
  }

  function feed(){

    global $page,$languages_id,$currencies;

    $products_new_result = tep_db_query("select * from " . TABLE_MANUFACTURERS . " order by manufacturers_name");
    $products_new_result = tep_db_query($products_new_query_raw);


    while($products_new = tep_db_fetch_array($products_new_result)) {

      $whats_new_price =  $currencies->display_price($products_new['products_price'], tep_get_tax_rate($products_new['products_tax_class_id']));
      $products_new['specials_new_products_price'] = tep_get_products_special_price($products_new['products_id']);

      if ($products_new['specials_new_products_price']) $whats_new_price_special = $currencies->display_price($products_new['specials_new_products_price'], tep_get_tax_rate($products_new['products_tax_class_id']));

      $list['title']=htmlspecialchars($products_new['manufacturers_name']) ;
      $list['link']=tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $products_new['manufacturers_id'], 'NONSSL') ;
      $list['image']=htmlspecialchars(tep_image(DIR_WS_IMAGES . $products_new['manufacturers_image'], $products_new['manufacturers_name'], $page->_conf_value('SMALL_IMAGE_WIDTH'), $page->_conf_value('SMALL_IMAGE_HEIGHT')));

      $this->leflux[]=new objectInfo($list);
    }

    return $this->leflux;
  }

}
?>